#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberClass {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, optional, tag="2")]
  pub parent_id: ::core::option::Option<::prost::alloc::string::String>,
  #[prost(string, tag = "3")]
  pub name: ::prost::alloc::string::String,
  #[prost(uint64, tag = "4")]
  pub created_at: u64,
  #[prost(uint64, tag = "5")]
  pub updated_at: u64,
  #[prost(uint64, optional, tag = "6")]
  pub deleted_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberLevel {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(string, tag = "2")]
  pub name: ::prost::alloc::string::String,
  #[prost(uint32, tag="3")]
  pub sort_order: u32,
  #[prost(uint64, tag = "4")]
  pub created_at: u64,
  #[prost(uint64, tag = "5")]
  pub updated_at: u64,
  #[prost(uint64, optional, tag = "6")]
  pub deleted_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct Member {
    #[prost(string, tag="1")]
    pub id: ::prost::alloc::string::String,
    #[prost(string, tag="2")]
    pub site_id: ::prost::alloc::string::String,
    #[prost(string, tag="3")]
    pub member_class_id: ::prost::alloc::string::String,
    #[prost(string, tag="4")]
    pub member_level_id: ::prost::alloc::string::String,
    #[prost(string, optional, tag="5")]
    pub referrer_member_id: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, tag="6")]
    pub referred_count: u64,
    #[prost(string, tag="7")]
    pub username: ::prost::alloc::string::String,
    #[prost(string, tag="8")]
    pub nickname: ::prost::alloc::string::String,
    #[prost(string, optional, tag="9")]
    pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration="MemberState", tag="10")]
    pub state: i32,
    #[prost(uint64, optional, tag="11")]
    pub state_changed_at: ::core::option::Option<u64>,
    #[prost(string, optional, tag="12")]
    pub last_signined_ip: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag="13")]
    pub last_signined_at: ::core::option::Option<u64>,
    #[prost(uint64, tag="14")]
    pub created_at: u64,
    #[prost(uint64, tag="15")]
    pub updated_at: u64,
    #[prost(uint64, optional, tag="16")]
    pub deleted_at: ::core::option::Option<u64>,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberModel {
    #[prost(string, tag="1")]
    pub id: ::prost::alloc::string::String,
    #[prost(message, optional, tag="2")]
    pub site: ::core::option::Option<super::domain::Site>,
    #[prost(message, optional, tag="3")]
    pub member_class: ::core::option::Option<MemberClass>,
    #[prost(message, optional, tag="4")]
    pub member_level: ::core::option::Option<MemberLevel>,
    #[prost(message, optional, tag="5")]
    pub referrer_member: ::core::option::Option<Member>,
    #[prost(uint64, tag="6")]
    pub referred_count: u64,
    #[prost(string, tag="7")]
    pub username: ::prost::alloc::string::String,
    #[prost(string, tag="8")]
    pub nickname: ::prost::alloc::string::String,
    #[prost(string, optional, tag="9")]
    pub mobile_phone_number: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(enumeration="MemberState", tag="10")]
    pub state: i32,
    #[prost(uint64, optional, tag="11")]
    pub state_changed_at: ::core::option::Option<u64>,
    #[prost(string, optional, tag="12")]
    pub last_signined_ip: ::core::option::Option<::prost::alloc::string::String>,
    #[prost(uint64, optional, tag="13")]
    pub last_signined_at: ::core::option::Option<u64>,
    #[prost(uint64, tag="14")]
    pub created_at: u64,
    #[prost(uint64, tag="15")]
    pub updated_at: u64,
    #[prost(uint64, optional, tag="16")]
    pub deleted_at: ::core::option::Option<u64>,
}
#[derive(Clone, Copy, Debug, PartialEq, Eq, Hash, PartialOrd, Ord, ::prost::Enumeration)]
#[repr(i32)]
pub enum MemberState {
  None = 0,
  Normal = 1,
  Pending = 2,
  Withdrawal = 3,
  Dormancy = 4,
  Blacklist = 5,
  Suspended = 6,
}
#[derive(Clone, PartialEq, ::prost::Message)]
pub struct MemberSession {
  #[prost(string, tag = "1")]
  pub id: ::prost::alloc::string::String,
  #[prost(message, optional, tag = "2")]
  pub member: ::core::option::Option<Member>,
  #[prost(string, tag = "3")]
  pub data: ::prost::alloc::string::String,
  #[prost(uint64, tag = "4")]
  pub last_accessed_at: u64,
  #[prost(uint64, tag = "5")]
  pub expires_at: u64,
  #[prost(uint64, tag = "6")]
  pub created_at: u64,
}
